"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
var utils_2 = require("./utils");
var createConsoleWriteStream = function (options) {
    return {
        write: function (chunk) {
            var batch = Array.isArray(chunk) ? chunk : [chunk];
            batch
                .map(function (chunkItem) { return JSON.parse(chunkItem); })
                .map(function (item) { return utils_1.handlePreparePayload(item, options); })
                .map(function (logEntry) {
                return utils_2.addLogflareTransformDirectives(logEntry, options);
            })
                .map(function (chunkItem) { return JSON.stringify(chunkItem); })
                .forEach(function (x) {
                process.stdout.write(x + "\n");
            });
        },
    };
};
exports.default = createConsoleWriteStream;
//# sourceMappingURL=consoleStream.js.map