"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var logflare_transport_core_1 = require("logflare-transport-core");
var streams = __importStar(require("./streams"));
var stream_1 = __importDefault(require("stream"));
var pumpify = require("pumpify");
function createWriteStream(options) {
    var _a = options.size, size = _a === void 0 ? 1 : _a;
    var parseJsonStream = streams.parseJsonStream();
    var toLogEntryStream = streams.toLogEntryStream(options);
    var batchStream = streams.batchStream(size);
    var writeStream = createClientStream(new logflare_transport_core_1.LogflareHttpClient(options));
    return pumpify(parseJsonStream, toLogEntryStream, batchStream, writeStream);
}
/**
 * create write stream around the http client
 * Logic moved from logflare transport core js
 * - https://github.com/atdrago/logflare-transport-core-js/commit/4aad9030aca1c9ea6c241d4e6ebfc0da76eaea8f
 * - https://github.com/Logflare/pino-logflare/issues/41
 */
function createClientStream(client) {
    var writeStream = new stream_1.default.Writable({
        objectMode: true,
        highWaterMark: 1,
    });
    writeStream._write = function (chunk, _encoding, callback) {
        client
            .addLogEvent(chunk)
            .then(function () {
            callback(null);
        })
            .catch(callback);
    };
    return writeStream;
}
exports.default = createWriteStream;
//# sourceMappingURL=httpStream.js.map