import { LogflareUserOptionsI } from "logflare-transport-core";
import { Options, PayloadMeta, PreparePayloadCallback } from "./httpStream";
declare type Level = "fatal" | "error" | "warn" | "info" | "debug" | "trace";
declare type SerializerFn = (value: any) => any;
interface Bindings {
    level?: Level | string;
    serializers?: {
        [key: string]: SerializerFn;
    };
    [key: string]: any;
}
interface LogEvent {
    ts: number;
    messages: any[];
    bindings: Bindings[];
    level: {
        label: string;
        value: number;
    };
}
declare const formatPinoBrowserLogEvent: (logEvent: LogEvent) => {
    metadata: {
        url: string | undefined;
        level: string;
        browser: boolean;
    };
    log_entry: string;
    timestamp: number;
};
declare function addLogflareTransformDirectives(item: Record<string, any>, options: LogflareUserOptionsI): Record<string, any>;
export declare const extractPayloadMeta: (item: Record<string, any>) => PayloadMeta;
export declare const defaultPreparePayload: PreparePayloadCallback;
declare const handlePreparePayload: (item: Record<string, any>, options: Options) => Record<string, any>;
export { handlePreparePayload, formatPinoBrowserLogEvent, Level, LogEvent, addLogflareTransformDirectives, };
